{"openapi":"3.0.1","info":{"title":"Inventory Management API","description":"Inventory Management API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"https://ims-api.yes4all.com","description":"Generated server url"}],"tags":[{"name":"Cirro API","description":"APIs for Cirro integration operations"},{"name":"ProShip","description":"ProShip API"},{"name":"Planning Inventory","description":"API for planning team inventory figures"},{"name":"Inventory Summary","description":"APIs for retrieving inventory summary information"}],"paths":{"/api/warehouses/{id}":{"put":{"tags":["warehouse-resource"],"operationId":"updateWarehouse","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Warehouse"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"delete":{"tags":["warehouse-resource"],"operationId":"deleteWarehouse","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/token-keycloaks/{id}":{"get":{"tags":["token-keycloak-resource"],"operationId":"getTokenKeycloak","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}}}}},"put":{"tags":["token-keycloak-resource"],"operationId":"updateTokenKeycloak","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}}}}},"delete":{"tags":["token-keycloak-resource"],"operationId":"deleteTokenKeycloak","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["token-keycloak-resource"],"operationId":"partialUpdateTokenKeycloak","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}}}}}},"/api/system/issue-notes/timestamp/{orderCode}":{"put":{"tags":["issue-note-resource"],"operationId":"updateTimestamp","parameters":[{"name":"orderCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteUpdateTimestampRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseVoid"}}}}}}},"/api/request-inbound/{requestCode}":{"get":{"tags":["request-inbound-resource"],"operationId":"getRequestInbound","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"put":{"tags":["request-inbound-resource"],"operationId":"updateRequestInbound","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"isConfirmed","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundUpdateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"delete":{"tags":["request-inbound-resource"],"operationId":"deleteRequestInbound","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptChangeInfoDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseVoid"}}}}}},"patch":{"tags":["request-inbound-resource"],"operationId":"updateLogisticDateFields","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/items":{"put":{"tags":["request-inbound-resource"],"operationId":"updateOrAddItems","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundDetailUpdateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/external-code":{"put":{"tags":["request-inbound-resource"],"operationId":"updateExternalCodeAndLinkReceiptNote","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"requestedBy","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundUpdateExternalCodeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-refill/update":{"put":{"tags":["pickup-refill-resource"],"operationId":"update","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupRefillUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-locations":{"put":{"tags":["pickup-location-resource"],"operationId":"updatePickupLocation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupLocationUpdateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"post":{"tags":["pickup-location-resource"],"operationId":"createPickupLocation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupLocationCreateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/overstock-location/pallet/update":{"put":{"tags":["overstock-location-resource"],"operationId":"updatePallet","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PalletUpdateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/{issueCode}/remap-sale-orders":{"put":{"tags":["issue-note-resource"],"operationId":"reMapSaleOrderNumbers","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-logs/{id}":{"get":{"tags":["inventory-log-resource"],"operationId":"getInventoryLog","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}}}}},"put":{"tags":["inventory-log-resource"],"operationId":"updateInventoryLog","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}}}}},"delete":{"tags":["inventory-log-resource"],"operationId":"deleteInventoryLog","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["inventory-log-resource"],"operationId":"partialUpdateInventoryLog","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLog"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}}}}}},"/api/inventory-locks/{id}":{"get":{"tags":["inventory-lock-resource"],"operationId":"getInventoryLock","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}}}}},"put":{"tags":["inventory-lock-resource"],"operationId":"updateInventoryLock","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}}}}},"delete":{"tags":["inventory-lock-resource"],"operationId":"deleteInventoryLock","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["inventory-lock-resource"],"operationId":"partialUpdateInventoryLock","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLock"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}}}}}},"/api/fba-shipment/{fbaShipmentId}":{"get":{"tags":["fba-shipment-resource"],"operationId":"getDetail","parameters":[{"name":"fbaShipmentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"put":{"tags":["fba-shipment-resource"],"operationId":"update_1","parameters":[{"name":"fbaShipmentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FBAShipmentUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/fba-shipment/subtract/{fbaShipmentId}":{"put":{"tags":["fba-shipment-resource"],"operationId":"subtract","parameters":[{"name":"fbaShipmentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"actionBy","in":"query","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/{adjustmentCode}":{"get":{"tags":["adjustment-resource"],"operationId":"getAdjustment","parameters":[{"name":"adjustmentCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"put":{"tags":["adjustment-resource"],"operationId":"updateAdjustment","parameters":[{"name":"adjustmentCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentUpdateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/manual":{"put":{"tags":["adjustment-resource"],"operationId":"updateManualAdjustment","parameters":[{"name":"isConfirmed","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentManualUpdateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"post":{"tags":["adjustment-resource"],"operationId":"createManualAdjustment","parameters":[{"name":"isConfirmed","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/warehouses":{"post":{"tags":["warehouse-resource"],"operationId":"createWarehouse","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Warehouse"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/warehouse-return/listing":{"post":{"tags":["warehouse-return-resource"],"operationId":"getListing","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WarehouseReturnRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/warehouse-return/listing/export-excel":{"post":{"tags":["warehouse-return-resource"],"operationId":"exportExcel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WarehouseReturnExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/users/authorizes":{"post":{"tags":["public-user-resource"],"operationId":"authorizes","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/token-keycloaks":{"get":{"tags":["token-keycloak-resource"],"operationId":"getAllTokenKeycloaks","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TokenKeycloak"}}}}}}},"post":{"tags":["token-keycloak-resource"],"operationId":"createTokenKeycloak","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TokenKeycloak"}}}}}}},"/api/system/shipping-price/export-zip":{"post":{"tags":["inventory-status-resource"],"operationId":"exportShippingPrice","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryStatusRequestDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/system/request-inbound/amass/sync":{"post":{"tags":["request-inbound-resource"],"operationId":"syncRequestInboundAmass","parameters":[{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/system/receipt-notes":{"post":{"tags":["receipt-note-resource"],"operationId":"createReceiptNoteBySystem","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/system/mail/unbalanced-inventory":{"post":{"tags":["alert-mail-resource"],"operationId":"sendUnbalancedInventoryMail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryUnbalancedRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/system/mail/unbalanced-inventory-cirro":{"post":{"tags":["alert-mail-resource"],"operationId":"sendUnbalancedInventoryMail_1","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CirroInventoryUnbalancedRequestDTO"}}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/system/issue-notes":{"post":{"tags":["issue-note-resource"],"operationId":"saveIssueNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteInfoRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/system/inventory-status":{"post":{"tags":["inventory-status-resource"],"operationId":"getInventoryStatus","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryStatusRequestDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/system/inventory-status/export-zip":{"post":{"tags":["inventory-status-resource"],"operationId":"exportInventoryStatus","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryStatusRequestDTO"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/system/adjustments":{"post":{"tags":["adjustment-resource"],"operationId":"createInternalAdjustment","parameters":[{"name":"source","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipping-labels/v2/upload":{"post":{"tags":["shipping-labels-resource"],"operationId":"processSomsShippingLabel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingLabelProcessRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipping-labels/upload":{"post":{"tags":["shipping-labels-resource"],"operationId":"uploadManualShippingLabel","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"saleOrderNumber":{},"trackingNumbers":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipping-labels/shipping-label/sync":{"post":{"tags":["shipping-labels-resource"],"operationId":"syncShippingLabel","parameters":[{"name":"saleOrderNumber","in":"query","required":true,"schema":{"type":"string"}},{"name":"trackingNumbers","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipping-labels/request-outbound/{requestOutboundCode}/sync":{"post":{"tags":["shipping-labels-resource"],"operationId":"syncShippingLabel_1","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipping-labels/packing-slip/sync":{"post":{"tags":["shipping-labels-resource"],"operationId":"syncPackingSlip","parameters":[{"name":"saleOrderNumber","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipping-labels/bill-of-lading/sync":{"post":{"tags":["shipping-labels-resource"],"operationId":"syncBillOfLading","parameters":[{"name":"saleOrderNumber","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/reserved-inventory/unhold":{"post":{"tags":["reserved-inventory-resource"],"operationId":"releaseHoldInventory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReservedInventoryReleaseMessage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/reserved-inventory/logs":{"post":{"tags":["reserved-inventory-resource"],"operationId":"getHoldInventoryLogs","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HoldInventoryLogRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponsePageHoldInventoryLogResponseDTO"}}}}}}},"/api/reserved-inventory/logs/export-excel":{"post":{"tags":["reserved-inventory-resource"],"operationId":"exportHoldInventoryLogs","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HoldInventoryLogExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/reserved-inventory/hold":{"post":{"tags":["reserved-inventory-resource"],"operationId":"holdInventory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReservedInventoryMessage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds":{"post":{"tags":["request-outbound-resource"],"operationId":"updateOrCreateRequestOutbound","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/send-to-wh":{"post":{"tags":["request-outbound-resource"],"operationId":"sendToWH","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"sendBy","in":"query","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/send-to-manager":{"post":{"tags":["request-outbound-resource"],"operationId":"sendToManager","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"sendBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/send-to-3pl":{"post":{"tags":["request-outbound-resource"],"operationId":"sendTo3PL","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"sendBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseRequestOutboundResponseDTO"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/send-to-3pl/retry":{"post":{"tags":["request-outbound-resource"],"operationId":"retrySendTo3PL","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"sendBy","in":"query","required":true,"schema":{"type":"string"}},{"name":"force","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseRequestOutboundResponseDTO"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/reload":{"post":{"tags":["request-outbound-resource"],"operationId":"requestOutboundReload","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/pro-number":{"post":{"tags":["request-outbound-resource"],"operationId":"saveRequestOutboundProNumber","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundUpdateShipmentInfoRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/line-items":{"post":{"tags":["request-outbound-resource"],"operationId":"getLineItemByRequestOutboundCode","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundFilterParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/documents":{"get":{"tags":["request-outbound-resource"],"operationId":"getRequestOutboundDocuments","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"post":{"tags":["request-outbound-resource"],"operationId":"uploadRequestOutboundDocument","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"uploadedBy":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/dispatch":{"post":{"tags":["request-outbound-resource"],"operationId":"dispatchRequestOutbound","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}},{"name":"dispatchBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/cancel":{"post":{"tags":["request-outbound-resource"],"operationId":"cancelRequestOutbound","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundCancelRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}/cancel-item":{"post":{"tags":["request-outbound-resource"],"operationId":"cancelRequestOutboundItem","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/validations":{"post":{"tags":["request-outbound-resource"],"operationId":"validateFileUpload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"channel":{},"warehouseCode":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/subtracts":{"post":{"tags":["request-outbound-resource"],"operationId":"subtractRequestOutbound","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/overviews":{"post":{"tags":["request-outbound-resource"],"operationId":"getRequestOutboundOverview","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundFilterParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/listing":{"post":{"tags":["request-outbound-resource"],"operationId":"getAllRequestOutbound","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundFilterParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/listing/export-excel":{"post":{"tags":["request-outbound-resource"],"operationId":"exportRequestOutboundExcelFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundExportParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/request-outbounds/line-items/export-excel":{"post":{"tags":["request-outbound-resource"],"operationId":"exportLineItem","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundItemExportParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/request-outbounds/file-imports":{"post":{"tags":["request-outbound-resource"],"operationId":"importSubtract","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"createdBy":{},"sentToWH":{},"channel":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/export-pdf":{"post":{"tags":["request-outbound-resource"],"operationId":"exportAdjustmentPdf","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundItemPrintParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/request-outbounds/cancel-multiple-item":{"post":{"tags":["request-outbound-resource"],"operationId":"cancelRequestOutboundItems","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundCancelMultipleRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbound-items":{"post":{"tags":["request-outbound-resource"],"operationId":"insertNewRequestOutboundItem","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundItem"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-log/{requestId}/retry":{"post":{"tags":["system-request-log-resource"],"operationId":"retryRequest","parameters":[{"name":"requestId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound":{"post":{"tags":["request-inbound-resource"],"operationId":"createRequestInbound","parameters":[{"name":"isConfirmed","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/sync-sku":{"post":{"tags":["request-inbound-resource"],"operationId":"syncRequestInboundSkuToAmass","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/resubmit":{"post":{"tags":["request-inbound-resource"],"operationId":"resubmitRequestInbound","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"requestedBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/complete":{"post":{"tags":["request-inbound-resource"],"operationId":"completeRequestInbound","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptChangeInfoDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/cancel":{"post":{"tags":["request-inbound-resource"],"operationId":"cancelRequestInbound","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"requestedBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/sync-missing-completed":{"post":{"tags":["request-inbound-resource"],"operationId":"syncMissingCompletedRequestInbounds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundSyncRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/shipments":{"post":{"tags":["request-inbound-resource"],"operationId":"getShipmentsByReferenceCodes","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/listing":{"post":{"tags":["request-inbound-resource"],"operationId":"getAllRequestInbound","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundRequestParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/listing/export-excel":{"post":{"tags":["request-inbound-resource"],"operationId":"exportListing","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/request-inbound/line-items/export-excel":{"post":{"tags":["request-inbound-resource"],"operationId":"exportLineItem_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestInboundItemExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/receipt-notes":{"post":{"tags":["receipt-note-resource"],"operationId":"createReceiptNote","parameters":[{"name":"isConfirmed","in":"query","required":true,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}/cancel":{"post":{"tags":["receipt-note-resource"],"operationId":"takeFromIntermediateWarehouse","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteCancelRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/uploads":{"post":{"tags":["receipt-note-resource"],"operationId":"createInboundFromUpload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"receiptType":{},"createdBy":{},"generalNote":{},"receiptDate":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/uploads/validation":{"post":{"tags":["receipt-note-resource"],"operationId":"validateInboundUpload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"receiptType":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/receipt-notes/listing":{"post":{"tags":["receipt-note-resource"],"operationId":"getAllReceiptNotes","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptRequestParam"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/listing/export-excel":{"post":{"tags":["receipt-note-resource"],"operationId":"exportReceiptNoteFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/receipt-notes/line-items/export-excel":{"post":{"tags":["receipt-note-resource"],"operationId":"exportReceiptNoteLineItemFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptLineItemExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/receipt-notes/completed/listing":{"post":{"tags":["receipt-note-resource"],"operationId":"getListCompletedReceiptNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompletedNoteRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/bonded/sync":{"post":{"tags":["receipt-note-resource"],"operationId":"syncBondedReceiptNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/products/catalog/search":{"post":{"tags":["product-resource"],"operationId":"searchCatalog","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductCatalogRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseProductCatalogResponseDTO"}}}}}}},"/api/pickup-refill/remove":{"post":{"tags":["pickup-refill-resource"],"operationId":"delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupRefillDeleteRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-refill/listing":{"post":{"tags":["pickup-refill-resource"],"operationId":"listing","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupRefillListRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-refill/listing/export-excel":{"post":{"tags":["pickup-refill-resource"],"operationId":"exportExcel_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupRefillExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/pickup-locations/validation":{"post":{"tags":["pickup-location-resource"],"operationId":"validateExcelPickupLocation","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"replace":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/pickup-locations/remove":{"post":{"tags":["pickup-location-resource"],"operationId":"removePickupLocation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupLocationRemoveRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-locations/listing":{"post":{"tags":["pickup-location-resource"],"operationId":"listingPickupLocation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupLocationRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-locations/listing/export-excel":{"post":{"tags":["pickup-location-resource"],"operationId":"exportPickupLocationListToExcel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PickupLocationExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/pickup-locations/import":{"post":{"tags":["pickup-location-resource"],"operationId":"importExcelPickupLocation","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"replace":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/ovs-working-history/listing":{"post":{"tags":["ovs-working-history-resource"],"operationId":"getListing_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OVSWorkingHistoryRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/ovs-working-history/listing/export-excel":{"post":{"tags":["ovs-working-history-resource"],"operationId":"exportExcel_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OVSWorkingHistoryExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/overstock-location/listing":{"post":{"tags":["overstock-location-resource"],"operationId":"getListing_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverstockLocationRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/overstock-location/listing/export-excel":{"post":{"tags":["overstock-location-resource"],"operationId":"exportExcel_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverstockLocationExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/orders/outbounds":{"post":{"tags":["issue-note-resource"],"operationId":"getOutboundCodeByOrders","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MappingOutboundByOrderRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/label-documents/scan-form/download":{"post":{"tags":["label-documents-resource"],"operationId":"createManualRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LabelDocumentMergeRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/label-documents/request-outbound/manual":{"post":{"tags":["label-documents-resource"],"operationId":"createManualRequest_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/label-documents/print":{"post":{"tags":["label-documents-resource"],"operationId":"printAndMergeLabelDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LabelDocumentMergeRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/label-documents/merge":{"post":{"tags":["label-documents-resource"],"operationId":"mergeLabelDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LabelDocumentMergeRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/label-documents/listing":{"post":{"tags":["label-documents-resource"],"operationId":"getLabelDocument","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LabelDocumentListingDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/label-documents/listing/export-excel":{"post":{"tags":["label-documents-resource"],"operationId":"exportExcel_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LabelDocumentExportDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/kafka-message/{messageId}/retry":{"post":{"tags":["message-retry-resource"],"operationId":"retryKafkaMessage","parameters":[{"name":"messageId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/issue-notes":{"post":{"tags":["issue-note-resource"],"operationId":"saveOrUpdateIssueNote","parameters":[{"name":"isConfirmed","in":"query","required":false,"schema":{"type":"boolean"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteInfoRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/{issueCode}/cancel":{"post":{"tags":["issue-note-resource"],"operationId":"cancelIssueNote","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"updatedBy","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteCancelRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/wh-transfer/validation":{"post":{"tags":["issue-note-resource"],"operationId":"doValidateAdjustmentFileUpload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/issue-notes/uploads":{"post":{"tags":["issue-note-resource"],"operationId":"createOutboundFromUpload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"issueType":{},"createdBy":{},"generalNote":{},"issueDate":{},"department":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/uploads/validation":{"post":{"tags":["issue-note-resource"],"operationId":"validateOutboundUpload","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{},"issueType":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/issue-notes/listing":{"post":{"tags":["issue-note-resource"],"operationId":"findAll","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteListRequestDTO"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/listing/export-excel":{"post":{"tags":["issue-note-resource"],"operationId":"exportListIssueNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteListExcelRequestDTO"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/issue-notes/line-items/export-excel":{"post":{"tags":["issue-note-resource"],"operationId":"exportLineItem_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteExportLineItemRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/issue-notes/completed/listing":{"post":{"tags":["issue-note-resource"],"operationId":"getListCompletedIssueNote","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompletedNoteRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory/custom-manual":{"post":{"tags":["inventory-query-resource"],"operationId":"updateManualInventory","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/inventory-queries":{"post":{"tags":["inventory-query-resource"],"operationId":"getAllInventoryQueries","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryQueryRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-queries/physical-quantity":{"post":{"tags":["inventory-query-resource"],"operationId":"getPhysicalQuantityBySkuList","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryQueryPhysicalInfoRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseListInventoryQueryPhysicalQuantityResponseDTO"}}}}}}},"/api/inventory-queries/intransit/{type}":{"post":{"tags":["inventory-query-resource"],"operationId":"getReceiptNoteListByIntransitSKU","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteForIntranistRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-queries/intransit/{type}/export":{"post":{"tags":["inventory-query-resource"],"operationId":"getReceiptNoteListByIntransitSKUExport","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteForIntranistExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/inventory-queries/export":{"post":{"tags":["inventory-query-resource"],"operationId":"exportInventoryQueries","parameters":[{"name":"includeSkuLog","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryQueryExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/inventory-queries/create":{"post":{"tags":["inventory-query-resource"],"operationId":"createInventoryQuery","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryQuery"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryQuery"}}}}}}},"/api/inventory-management":{"post":{"tags":["inventory-management-resource"],"operationId":"getInventoryManagement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryManagementRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-logs":{"post":{"tags":["inventory-log-resource"],"operationId":"createInventoryLog","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLog"}}}}}}},"/api/inventory-logs/total-quantity":{"post":{"tags":["inventory-log-resource"],"operationId":"getTotalQuantity","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLogQuantityRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-logs/listing":{"post":{"tags":["inventory-log-resource"],"operationId":"getListing_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLogRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-logs/listing/export-excel":{"post":{"tags":["inventory-log-resource"],"operationId":"exportInventoryLogsToExcel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLogExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/inventory-logs/cirro/listing":{"post":{"tags":["inventory-log-resource"],"operationId":"getListingCirro","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLogCirroRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponsePageInventoryLogCirroResponseDTO"}}}}}}},"/api/inventory-logs/cirro/listing/export-excel":{"post":{"tags":["inventory-log-resource"],"operationId":"exportInventoryLogsToExcelCirro","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLogCirroExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/inventory-locks":{"get":{"tags":["inventory-lock-resource"],"operationId":"getAllInventoryLocks","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryLock"}}}}}}},"post":{"tags":["inventory-lock-resource"],"operationId":"createInventoryLock","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryLock"}}}}}}},"/api/inventory-locations/warehouses/{warehouseCode}/skus":{"post":{"tags":["inventory-location-resource"],"operationId":"getSkusInWarehouse","parameters":[{"name":"warehouseCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventorySkuListDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/InventoryLocationResponseDTO"}}}}}}}},"/api/inventory-locations/listing":{"post":{"tags":["inventory-location-resource"],"operationId":"createInventoryLocation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLocationParamDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-locations/listing/export-excel":{"post":{"tags":["inventory-location-resource"],"operationId":"exportListInventoryLocationToExcel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLocationExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/inventory-locations/attachments/upload":{"post":{"tags":["inventory-location-resource"],"operationId":"uploadAttachmentFile","parameters":[{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}},{"name":"createdBy","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-locations/attachments/listing":{"post":{"tags":["inventory-location-resource"],"operationId":"uploadExcelFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLocationAttachmentRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-locations/attachments/export-excel":{"post":{"tags":["inventory-location-resource"],"operationId":"exportAttachmentExcel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryLocationAttachmentExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/inventory-list/listing":{"post":{"tags":["inventory-list-resource"],"operationId":"getListing_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryListRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-list/listing/export-excel":{"post":{"tags":["inventory-list-resource"],"operationId":"exportExcel_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryListExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/internal/v1/outbounds":{"post":{"tags":["ProShip"],"summary":"Create ProShip outbound","operationId":"createProShipOutbound","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProShipOutboundRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProShipOutboundResponseDTO"}}}}}}},"/api/internal/v1/intransit":{"post":{"tags":["ProShip"],"summary":"Record in-transit information","operationId":"reportInTransit","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InTransitShipmentRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseVoid"}}}}}}},"/api/internal/v1/intransit/attachments":{"post":{"tags":["ProShip"],"summary":"Upload an attachment for an in-transit information","operationId":"uploadInTransitAttachment","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["files"],"type":"object","properties":{"files":{"type":"array","items":{"type":"string","format":"binary"}},"type":{},"psCode":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseVoid"}}}}}}},"/api/internal/v1/inbounds":{"post":{"tags":["ProShip"],"summary":"Create ProShip inbound","operationId":"createProShipInbound","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProShipInboundRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProShipInboundResponseDTO"}}}}}}},"/api/internal/sellable-warehouses/inventory":{"post":{"tags":["Inventory Summary"],"summary":"Get inventory of SKUs in all sellable warehouses from a specific country","description":"Retrieves inventory information for specified SKUs in all sellable warehouses (inhouse and 3pl) from a specific country. Used by Team YAMS. Defaults to USA country.","operationId":"getInventoryBySellableWarehouses","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryBySellableWarehousesRequestDTO"}}},"required":true},"responses":{"200":{"description":"Successfully retrieved inventory data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"400":{"description":"Bad request - Invalid input parameters","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseListInternalInventoryResponseDTO"}}}}}}},"/api/internal/planning/inventory":{"post":{"tags":["Planning Inventory"],"summary":"Get planning inventory for SKUs","description":"Returns sellable in sales warehouses, bonded CMP physical, Amazon (Trino), and Wayfair (0). If SKUs list is empty, all products are used. Country defaults to USA.","operationId":"getPlanningInventory","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PlanningInventoryRequestDTO"}}},"required":true},"responses":{"200":{"description":"Successfully retrieved planning inventory data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}}}}},"/api/internal/inventory":{"post":{"tags":["Inventory Summary"],"summary":"Get inventory of SKUs in specific warehouses","description":"Retrieves inventory information for specified SKUs in specific warehouses. Used by Team SOMS.","operationId":"getInventoryByWarehouses","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryByWarehousesRequestDTO"}}},"required":true},"responses":{"200":{"description":"Successfully retrieved inventory data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestResponse"}}}},"400":{"description":"Bad request - Invalid input parameters","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseListInternalInventoryResponseDTO"}}}},"404":{"description":"Warehouse not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseListInternalInventoryResponseDTO"}}}}}}},"/api/ims-config":{"get":{"tags":["ims-config-resource"],"operationId":"getConfig","parameters":[{"name":"configGroup","in":"query","required":true,"schema":{"type":"string"}},{"name":"configKey","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"post":{"tags":["ims-config-resource"],"operationId":"createNewConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IMSConfigDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"delete":{"tags":["ims-config-resource"],"operationId":"removeConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IMSConfigDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"patch":{"tags":["ims-config-resource"],"operationId":"updateConfig","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IMSConfigDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/fba-shipment/{fbaShipmentId}/cancel":{"post":{"tags":["fba-shipment-resource"],"operationId":"cancel","parameters":[{"name":"fbaShipmentId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FBAShipmentCancelRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/fba-shipment/listing":{"post":{"tags":["fba-shipment-resource"],"operationId":"getListing_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FBAShipmentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/fba-shipment/listing/export-excel":{"post":{"tags":["fba-shipment-resource"],"operationId":"exportExcel_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FBAShipmentExportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/fba-shipment/line-items/export-excel":{"post":{"tags":["fba-shipment-resource"],"operationId":"exportExcelLineItems","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FBAShipmentExportLineItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/consignee-info":{"post":{"tags":["consignee-info-resource"],"operationId":"saveMissingConsignee","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsigneeInfoRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/conductor/amass/request-inbound/sync":{"post":{"tags":["conductor-workflow-resource"],"operationId":"startAmassSyncParallel","parameters":[{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/api/conductor/amass/inbound-orders/sync":{"post":{"tags":["conductor-workflow-resource"],"operationId":"startAmassInboundOrdersSync","parameters":[{"name":"createdStartTime","in":"query","required":false,"schema":{"type":"string"}},{"name":"createdEndTime","in":"query","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","default":"allIn"}},{"name":"shipmentId","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/api/cirro/orders/{orderId}/retry":{"post":{"tags":["Cirro API"],"operationId":"retryOrder","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/cirro/orders/{orderId}/retry-label":{"post":{"tags":["Cirro API"],"operationId":"retryLabelUpload","parameters":[{"name":"orderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/cache/clear":{"post":{"tags":["cache-controller"],"operationId":"clearAllCaches","responses":{"200":{"description":"OK"}}}},"/api/amass-orders/upload-shipment-label":{"post":{"tags":["amass-order-sync-resource"],"operationId":"uploadAvcWhShipmentLabelFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AmassUploadFileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments":{"post":{"tags":["adjustment-resource"],"operationId":"createAdjustment","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"attachments":{},"warehouseCode":{},"createdBy":{},"generalNote":{},"reason":{},"adjustmentDate":{}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/{adjustmentCode}/attachments":{"get":{"tags":["adjustment-resource"],"operationId":"getAttachments","parameters":[{"name":"adjustmentCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"post":{"tags":["adjustment-resource"],"operationId":"uploadAttachments","parameters":[{"name":"adjustmentCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"uploadedBy","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["files"],"type":"object","properties":{"files":{"type":"array","items":{"type":"string","format":"binary"}}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/{adjustmentCode}/archive":{"post":{"tags":["adjustment-resource"],"operationId":"archiveAdjustment","parameters":[{"name":"adjustmentCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentArchiveDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/{adjustmentCode}/approve":{"post":{"tags":["adjustment-resource"],"operationId":"approveAdjustment","parameters":[{"name":"adjustmentCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentApproveDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/validation":{"post":{"tags":["adjustment-resource"],"operationId":"doValidateAdjustmentFileUpload_1","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file","warehouseCode"],"type":"object","properties":{"file":{"type":"string","format":"binary"},"warehouseCode":{"type":"string"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/adjustments/listing":{"post":{"tags":["adjustment-resource"],"operationId":"getAllAdjustments","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentParamDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/adjustments/listing/export-excel":{"post":{"tags":["adjustment-resource"],"operationId":"exportReceiptNoteFile_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/adjustments/line-items/export-excel":{"post":{"tags":["adjustment-resource"],"operationId":"exportAdjustmentItems","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentItemExportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/adjustments/check-approve":{"post":{"tags":["adjustment-resource"],"operationId":"checkApproveAdjustment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdjustmentCheckRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/system/receipt-notes/{receiptCode}":{"patch":{"tags":["receipt-note-resource"],"operationId":"systemCorrectInbound","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/system/issue-notes/{issueCode}":{"patch":{"tags":["issue-note-resource"],"operationId":"systemCorrectOutbound","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueNoteInfoRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbound/{id}":{"patch":{"tags":["request-outbound-resource"],"operationId":"partialUpdateRequestOutbound","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutbound"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RequestOutbound"}}}}}}},"/api/request-outbound-items/{id}":{"delete":{"tags":["request-outbound-resource"],"operationId":"deleteItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"patch":{"tags":["request-outbound-resource"],"operationId":"partialUpdateRequestOutboundItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestOutboundItem"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/RequestOutboundItem"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RequestOutboundItem"}}}}}}},"/api/request-log/{requestId}":{"patch":{"tags":["system-request-log-resource"],"operationId":"updateRequestLogStatus","parameters":[{"name":"requestId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"status","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}":{"get":{"tags":["receipt-note-resource"],"operationId":"getReceiptNoteByReceiptCode","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"delete":{"tags":["receipt-note-resource"],"operationId":"deleteReceiptNote","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"patch":{"tags":["receipt-note-resource"],"operationId":"updateLogisticDateFields_1","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceiptNoteDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}/completed":{"patch":{"tags":["receipt-note-resource"],"operationId":"completeReceiptNoteStatus","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}/approved":{"patch":{"tags":["receipt-note-resource"],"operationId":"approveReceiptNoteStatus","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/products/{sku}":{"get":{"tags":["product-resource"],"operationId":"getProductDetail","parameters":[{"name":"sku","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"patch":{"tags":["product-resource"],"operationId":"updateProduct","parameters":[{"name":"sku","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/{issueCode}/approved":{"patch":{"tags":["issue-note-resource"],"operationId":"approveIssueNote","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-queries/{id}":{"delete":{"tags":["inventory-query-resource"],"operationId":"deleteInventoryQuery","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["inventory-query-resource"],"operationId":"partialUpdateInventoryQuery","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryQuery"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/InventoryQuery"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InventoryQuery"}}}}}}},"/api/internal/v1/outbounds/{code}":{"patch":{"tags":["ProShip"],"summary":"Update ProShip outbound CIPL number","operationId":"updateProShipOutboundCIPLNumber","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCIPLNumberRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/internal/v1/inbounds/{code}":{"patch":{"tags":["ProShip"],"summary":"Update ProShip inbound shipment number","operationId":"updateProShipInboundShipmentNumber","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateShipmentNumberRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/containers/cancel":{"patch":{"tags":["shipment-resource"],"operationId":"cancelContainer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShipmentContainerCancelRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseBoolean"}}}}}}},"/api/amass-orders/update-sync":{"patch":{"tags":["amass-order-sync-resource"],"operationId":"updateOrderSync","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAmassOrderSyncRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/warehouses/listing":{"get":{"tags":["warehouse-resource"],"operationId":"getAllWarehouses","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/warehouse/internal/{type}":{"get":{"tags":["warehouse-resource"],"operationId":"getInternalInventoryChannels","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/users":{"get":{"tags":["public-user-resource"],"operationId":"getAllPublicUsers","parameters":[{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDTO"}}}}}}}},"/api/system/inventory-status/get-negative-closing-stock":{"get":{"tags":["inventory-status-resource"],"operationId":"getNegativeClosingStock","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/shipping-labels/download":{"get":{"tags":["shipping-labels-resource"],"operationId":"downloadLabelByToken","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/shipments":{"get":{"tags":["shipment-resource"],"operationId":"listingShipmentAndContainer","parameters":[{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/shipments/{shipmentId}/containers/{containerId}":{"get":{"tags":["shipment-resource"],"operationId":"getContainerInfo","parameters":[{"name":"shipmentId","in":"path","required":true,"schema":{"type":"string"}},{"name":"containerId","in":"path","required":true,"schema":{"type":"string"}},{"name":"source","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/{requestOutboundCode}":{"get":{"tags":["request-outbound-resource"],"operationId":"getRequestOutboundDetail","parameters":[{"name":"requestOutboundCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/pickup-information/{sku}":{"get":{"tags":["request-outbound-resource"],"operationId":"getRequestOutboundOverview_1","parameters":[{"name":"sku","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-outbounds/local-sales-outbound-reasons":{"get":{"tags":["request-outbound-resource"],"operationId":"getLocalSalesOutboundReasons","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/request-inbound/{requestCode}/export-pdf":{"get":{"tags":["request-inbound-resource"],"operationId":"exportLineItem_3","parameters":[{"name":"requestCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"groupBy","in":"query","required":false,"schema":{"type":"string","default":"sku"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/receipt-type/listing":{"get":{"tags":["receipt-note-resource"],"operationId":"getReceiptType","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}/status":{"get":{"tags":["receipt-note-resource"],"operationId":"getReceiptStatusByReceiptCode","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}/purchase-orders":{"get":{"tags":["receipt-note-resource"],"operationId":"getShipmentPurchaseOrders","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/receipt-notes/{receiptCode}/export-pdf":{"get":{"tags":["receipt-note-resource"],"operationId":"exportReceiptNotePdf","parameters":[{"name":"receiptCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"groupBy","in":"query","required":false,"schema":{"type":"string","default":"sku"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/products":{"get":{"tags":["product-resource"],"operationId":"getAll","parameters":[{"name":"receiptType","in":"query","required":false,"schema":{"type":"string","enum":["WAREHOUSE_TRANSFER","INCREASE_ADJUSTMENT","PURCHASE_ORDER","RETURN","EXTERNAL_TRANSFER","WH_SUPPLY","OTHERS"]}},{"name":"warehouseCode","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/products/sellTypes/listing":{"get":{"tags":["product-resource"],"operationId":"getSellTypes","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/products/quantities/{warehouseCode}":{"get":{"tags":["product-resource"],"operationId":"getQuantity","parameters":[{"name":"warehouseCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"issueType","in":"query","required":false,"schema":{"type":"string","enum":["WAREHOUSE_TRANSFER","DECREASE_ADJUSTMENT","SALES_ORDERS","EXTERNAL_TRANSFER","WH_SUPPLY","OTHERS"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/products/info/{sku}":{"get":{"tags":["product-resource"],"operationId":"getQuantity_1","parameters":[{"name":"sku","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/products/companies/listing":{"get":{"tags":["product-resource"],"operationId":"getCompanies","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/pickup-refill/submit":{"get":{"tags":["pickup-refill-resource"],"operationId":"submitAndDownloadRefillList","parameters":[{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}},{"name":"actionBy","in":"query","required":true,"schema":{"type":"string"}},{"name":"isDownload","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/pickup-refill/process":{"get":{"tags":["pickup-refill-resource"],"operationId":"processPickupRefillList","parameters":[{"name":"date","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/pickup-locations/working-area":{"get":{"tags":["pickup-location-resource"],"operationId":"getListWorkingArea","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/log-notes/{referenceCode}":{"get":{"tags":["log-note-resource"],"operationId":"getLogNoteByReferenceCode","parameters":[{"name":"referenceCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/label-documents/{id}/export-zip":{"get":{"tags":["label-documents-resource"],"operationId":"downloadSummary","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/label-documents/{id}/export-excel":{"get":{"tags":["label-documents-resource"],"operationId":"downloadMergedLabelExcel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/label-documents/shipping-label/{saleOrderNumber}":{"get":{"tags":["label-documents-resource"],"operationId":"downloadShippingLabel","parameters":[{"name":"saleOrderNumber","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/label-documents/packing-slip/{saleOrderNumber}":{"get":{"tags":["label-documents-resource"],"operationId":"downloadPackingSlip","parameters":[{"name":"saleOrderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"force","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/label-documents/download":{"get":{"tags":["label-documents-resource"],"operationId":"downloadLabel","parameters":[{"name":"saleOrderNumber","in":"query","required":true,"schema":{"type":"string"}},{"name":"trackingNumber","in":"query","required":true,"schema":{"type":"string"}},{"name":"referenceCode","in":"query","required":true,"schema":{"type":"string"}},{"name":"createdBy","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/label-documents/channel/listing":{"get":{"tags":["label-documents-resource"],"operationId":"getAvailableChannel","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/label-documents/bill-of-lading/{saleOrderNumber}":{"get":{"tags":["label-documents-resource"],"operationId":"downloadBillOfLading","parameters":[{"name":"saleOrderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"force","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/issue-type/listing":{"get":{"tags":["issue-note-resource"],"operationId":"getListIssueType","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/{issueCode}":{"get":{"tags":["issue-note-resource"],"operationId":"getIssueNoteByCode","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"warehouseCode","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}},"delete":{"tags":["issue-note-resource"],"operationId":"deleteIssueNote","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/{issueCode}/status":{"get":{"tags":["issue-note-resource"],"operationId":"getIssueNoteStatusByIssueCode","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/issue-notes/{issueCode}/export-pdf":{"get":{"tags":["issue-note-resource"],"operationId":"exportIssueNotePdf","parameters":[{"name":"issueCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"isGroupBySONumber","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"isGroupByShipmentId","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"isGroupByPONumber","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/api/issue-notes/listing/code-transfer":{"get":{"tags":["issue-note-resource"],"operationId":"getListCodeTransfer","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-queries/warehouses/{warehouseCode}/skus/{sku}":{"get":{"tags":["inventory-query-resource"],"operationId":"getInventoryQueryBySkuAndWarehouseCode","parameters":[{"name":"warehouseCode","in":"path","required":true,"schema":{"type":"string"}},{"name":"sku","in":"path","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-queries/fba-shipment/countries":{"get":{"tags":["inventory-query-resource"],"operationId":"getFBAShipmentCountry","parameters":[{"name":"channel","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"warehouseCode","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-queries/fba-shipment/accounts":{"get":{"tags":["inventory-query-resource"],"operationId":"getFBAShipmentAccount","parameters":[{"name":"marketplace","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"warehouseCode","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestResponseObject"}}}}}}},"/api/inventory-logs/cirro/operation-types":{"get":{"tags":["inventory-log-resource"],"operationId":"getListOperationTypes","responses":{"200":{"description":"OK","content":{"
[...]
